<?php

namespace Onestartup\CrmForms\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Interested extends Model
{
    use Notifiable;
	
    protected $table = 'interesteds';

    protected $fillable = [
			    	'name',
					'email',
					'phone',
					'extra1',
					'extra2',
					'extra3',
					'extra4',
                    'extra5',
					'landing',
					'origin'
    			];

    public function tracings()
    {
        return $this->hasMany('Onestartup\Crm\Tracing', 'interested_id');
    }

    public function interested_detail(){
    	return $this->hasOne('Onestartup\CrmForms\Model\InterestedDetail', 'interested_id');
    }
}
